Uses of Interface
org.apache.tapestry5.services.ComponentClassTransformWorker

Packages that use ComponentClassTransformWorker
org.apache.tapestry5.hibernate   
org.apache.tapestry5.internal.hibernate   
org.apache.tapestry5.internal.services   
org.apache.tapestry5.internal.services.meta   
org.apache.tapestry5.internal.transform   
org.apache.tapestry5.services   
org.apache.tapestry5.services.meta   
 

Uses of ComponentClassTransformWorker in org.apache.tapestry5.hibernate
 

Method parameters in org.apache.tapestry5.hibernate with type arguments of type ComponentClassTransformWorker
static void HibernateModule.contributeComponentClassTransformWorker(OrderedConfiguration<ComponentClassTransformWorker> configuration)
          Adds the CommitAfter annotation work, to process the CommitAfter annotation.
 

Uses of ComponentClassTransformWorker in org.apache.tapestry5.internal.hibernate
 

Classes in org.apache.tapestry5.internal.hibernate that implement ComponentClassTransformWorker
 class CommitAfterWorker
          Searches for methods that have the CommitAfter annotation and adds logic around the method to commit or abort the transaction.
 

Uses of ComponentClassTransformWorker in org.apache.tapestry5.internal.services
 

Constructors in org.apache.tapestry5.internal.services with parameters of type ComponentClassTransformWorker
ComponentClassTransformerImpl(ComponentClassTransformWorker workerChain, LoggerSource loggerSource, ClassFactory classFactory, CtClassSource classSource, ComponentClassCache componentClassCache, boolean productionMode, OperationTracker tracker)
           
 

Uses of ComponentClassTransformWorker in org.apache.tapestry5.internal.services.meta
 

Classes in org.apache.tapestry5.internal.services.meta that implement ComponentClassTransformWorker
 class MetaWorkerImpl
           
 

Uses of ComponentClassTransformWorker in org.apache.tapestry5.internal.transform
 

Classes in org.apache.tapestry5.internal.transform that implement ComponentClassTransformWorker
 class AbstractIncludeAssetWorker
          Base class for workers that automatically include assets in the page (via methods on RenderSupport).
 class ActivationRequestParameterWorker
          Hooks the activate event handler on the component (presumably, a page) to extract query parameters, and hooks the link decoration events to extract values and add them to the Link.
 class ApplicationStateWorker
          Looks for the ApplicationState and SessionState annotations and converts read and write access on such fields into calls to the ApplicationStateManager.
 class BindParameterWorker
          Responsible for identifying, via the BindParameter annotation, mixin fields that should be bound to a core-component parameter value.
 class CachedWorker
          Caches method return values for methods annotated with Cached.
 class ComponentWorker
          Finds fields with the Component annotation and updates the model.
 class DiscardAfterWorker
           
 class EnvironmentalWorker
          Obtains a value from the Environment service based on the field type.
 class HeartbeatDeferredWorker
           
 class ImportWorker
          Implements the Import annotation, both at the class and at the method level.
 class IncludeJavaScriptLibraryWorker
          Recognizes the IncludeJavaScriptLibrary annotation, and ensures that JavaScriptSupport.importJavaScriptLibrary(Asset) is invoked.
 class IncludeStylesheetWorker
          Recognizes the IncludeStylesheet annotation and ensures that RenderSupport.addStylesheetLink(org.apache.tapestry5.Asset, String) is invoked.
 class InjectComponentWorker
          Recognizes the InjectComponent annotation, and converts the field into a read-only field containing the component.
 class InjectContainerWorker
          Identifies the InjectContainer annotation and adds code to initialize it to the core component.
 class InjectPageWorker
          Peforms transformations that allow pages to be injected into components.
 class InjectServiceWorker
          Processes the InjectService annotation.
 class InjectWorker
          Performs injection triggered by any field annotated with the Inject annotation.
 class InvokePostRenderCleanupOnResourcesWorker
          Extends a root component class' postRenderCleanup() method to invoke InternalComponentResources.postRenderCleanup().
 class LogWorker
          Looks for the Log marker annotation and adds method advice to perform the logging.
 class MixinAfterWorker
          Looks for the MixinAfter annotation and sets the mixinAfter flag if present.
 class MixinWorker
          Supports the Mixin annotation, which allows a mixin to be part of the implementation of a component.
 class OnEventWorker
          Provides implementations of the Component.dispatchComponentEvent(org.apache.tapestry5.runtime.ComponentEvent) method, based on OnEvent annotations.
 class PageActivationContextWorker
          Provides the page activation context handlers.
 class PageLifecycleAnnotationWorker
          Similar to RenderPhaseMethodWorker but applies to annotations/methods related to the overall page lifecycle.
 class PageResetAnnotationWorker
          Implementation of the PageReset annotation.
 class ParameterWorker
          Responsible for identifying parameters via the Parameter annotation on component fields.
 class PersistWorker
          Converts fields with the Persist annotation into persistent fields.
 class PropertyWorker
          Provides the getter and setter methods.
 class RenderCommandWorker
          Ensures that all components implement RenderCommand by delegating to InternalComponentResources.queueRender(org.apache.tapestry5.runtime.RenderQueue) .
 class RenderPhaseMethodWorker
          Converts one of the methods of Component into a chain of command that, itself, invokes certain methods (render phase methods) marked with an annotation, or named in a specific way.
 class RetainWorker
          Identifies fields with the Retain annotation, and "claims" them so that no special work will occur on them.
 class SessionAttributeWorker
          Looks for the SessionAttribute annotation and converts read and write access on such fields into calls to the Session.getAttribute(String) and Session.setAttribute(String, Object).
 class SupportsInformalParametersWorker
          Checks for the SupportsInformalParameters annotation, settting the corresponding flag on the model if present.
 class UnclaimedFieldWorker
          Designed to be just about the last worker in the pipeline.
 

Uses of ComponentClassTransformWorker in org.apache.tapestry5.services
 

Methods in org.apache.tapestry5.services that return ComponentClassTransformWorker
 ComponentClassTransformWorker TapestryModule.buildComponentClassTransformWorker(List<ComponentClassTransformWorker> configuration)
          Allows the exact steps in the component class transformation process to be defined.
 

Method parameters in org.apache.tapestry5.services with type arguments of type ComponentClassTransformWorker
 ComponentClassTransformWorker TapestryModule.buildComponentClassTransformWorker(List<ComponentClassTransformWorker> configuration)
          Allows the exact steps in the component class transformation process to be defined.
static void TapestryModule.contributeComponentClassTransformWorker(OrderedConfiguration<ComponentClassTransformWorker> configuration, MetaWorker metaWorker, ComponentClassResolver resolver)
          Adds a number of standard component class transform workers: Retain Allows fields to retain their values between requests Persist Allows fields to store their their value persistently between requests Parameter Identifies parameters based on the Parameter annotation Component Defines embedded components based on the Component annotation Mixin Adds a mixin as part of a component's implementation Environment Allows fields to contain values extracted from the Environment service Inject Used with the Inject annotation, when a value is supplied InjectService Handles the InjectService annotation InjectPage Adds code to allow access to other pages via the InjectPage field annotation InjectBlock Allows a block from the template to be injected into a field IncludeStylesheet Supports the IncludeStylesheet annotation IncludeJavaScriptLibrary Supports the IncludeJavaScriptLibrary annotation Import Supports the Import annotation SupportsInformalParameters Checks for the annotation Meta Checks for meta data annotations and adds it to the component model ApplicationState Converts fields that reference application state objects UnclaimedField Identifies unclaimed fields and resets them to null/0/false at the end of the request RenderCommand Ensures all components also implement RenderCommand RenderPhase Link in render phaes methods InvokePostRenderCleanupOnResources Makes sure InternalComponentResources.postRenderCleanup() is invoked after a component finishes rendering GenerateAccessors Generates accessor methods if Property annotation is present Cached Checks for the Cached annotation Log Checks for the Log annotation PageReset Checks for the PageReset annotation HeartbeatDeferred Support for the HeartbeatDeferred annotation ActivationRequestParameter Support for the ActivationRequestParameter annotation
 

Uses of ComponentClassTransformWorker in org.apache.tapestry5.services.meta
 

Subinterfaces of ComponentClassTransformWorker in org.apache.tapestry5.services.meta
 interface MetaWorker
          Service that makes it easy to identify a class annotation and use its presence, or the value of an attribute, to set a meta-data key.
 



Copyright © 2006-2011 Apache Software Foundation. All Rights Reserved.